## Class node_with_text

zeep::xml::node_with_text — internal node base class for storing text

## Synopsis

    // In header: <zeep/xml/node.hpp>

    class node_with_text : public zeep::xml::node {
    public:
      // construct/copy/destruct
      node_with_text();
      node_with_text(const std::string &);

      // public member functions
      virtual std::string str() const;
      virtual std::string get_text() const;
      virtual void set_text(const std::string &);
    };

## Description

### `node_with_text` public construct/copy/destruct

1.     node_with_text();

2.     node_with_text(const std::string & s);

### `node_with_text` public member functions

1.     virtual std::string str() const;

   return the text content

2.     virtual std::string get_text() const;

   return the text content, same as str()

3.     virtual void set_text(const std::string & text);

   set the text content